@charset "utf-8";
@import url("style.css");

/*--- OPNE BTN ---*/
#openbtn { cursor: pointer; }
.nav-btn-box {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 500;
    background-color: var(--color-gr);
}
.nav-btn-box .btn-wrap {
    gap: 52px;
    padding: 14px 24px;
}
.nav-btn-box .btn-wrap .btn-item {
    color: var(--color-wh);
    font-size: 18px;
    line-height: 1.2;
    display: block;
}
.nav-btn-box .btn-wrap .g-nav-btn {
    position: relative;
    width: 100px;
    text-align: center;
}
.nav-btn-box .btn-wrap .g-nav-btn::before {
    content: "";
    display: block;
    width: 1px;
    height: 26px;
    position: absolute;
    top: 50%;
    right: calc(100% + 26px);
    z-index: 10;
    transform: translateY(-50%);
    background-color: var(--color-wh);
}

/*--- CLOSE BTN ---*/
#g-nav #btn-close {
    position: absolute;
    top: 32px;
    right: 32px;
    z-index: 100;
    cursor: pointer;
}

/*--- LIST STYLE ---*/
#g-nav { display: none; }
#g-nav a {
    position: relative;
    color: var(--color-wh);
    font-size: 18px;
    line-height: 1.4;
}
#g-nav .g-nav-wrap {
    padding: 76px 0;
}

.g-nav-hd {
    margin-bottom: 40px;
    padding-bottom: 20px;
    border-bottom: 1px solid var(--color-wh);
}
.g-nav-hd .g-nav-logo { text-align: center; margin-bottom: 20px; }
.g-nav-hd .top-item { font-size: 16px; }
.g-nav-hd .function-item {
    display: flex;
    justify-content: flex-end;
    align-items: baseline;
    gap: 20px;
}

.function-item .search-item form > div { display: flex; }
.function-item .search-item button {
    border: none;
    background-color: transparent;
}
.function-item .search-item input[type="text"] {
    color: #fff;
    letter-spacing: 0.02em;
    width: 125px;
    border: none;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    background-color: transparent;
}
.function-item .search-item input[type="text"]::placeholder {
    color: rgba(255, 255, 255, 0.2);
}

.g-nav-main { padding-left: 38px; padding-bottom: 60px; }
.g-nav-main .item-left { width: 11em; }
.g-nav-main .item-right { flex: 1; }

.g-nav-main .menu-box .g-nav-flex > .f-menu:not(:first-child) li.tit { margin-bottom: 50px; }

.g-nav-main .f-menu li {
    line-height: 1;
    min-height: auto;
}
.g-nav-main .f-menu li:not(:last-child) { margin-bottom: 14px; }
.g-nav-main .f-menu li.tit { margin-bottom: 18px; }
.g-nav-main .f-menu li a { letter-spacing: 0.15em; }

.g-nav-main .f-menu li.tit a {
    font-size: 20px!important;
    letter-spacing: 0.04em!important;
    padding-left: 22px;
}
.g-nav-main .f-menu li.tit a::before { width: 12px; height: 20px; }
.g-nav-main .f-menu li:not(.tit) a::before {
    content: '-';
    font-size: 1em;
    display: inline-block;
    margin-right: 0.5em;
}

.btn-list { gap: 60px; }
.btn-list a {
    flex: 1;
    text-align: center;
    padding: 8px 12px;
    background-color: rgba(0, 0, 0, 0.2);
}


.g-nav-ft .ft-btn-wrap {
    justify-content: center;
    align-items: baseline;
    gap: 60px;
}
.g-nav-ft .f-cp-menu {
    list-style: none;
    gap: 46px;
    margin: 0;
    padding: 0;
}
.g-nav-ft .f-cp-menu li a {
    font-size: 16px!important;
}



/*--- OPEN NAVI ---*/
.nav-open #g-nav {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    display: block;
    width: 100%;
    height: 100vh;
    background-color: rgba(3, 78, 67, 0.9);
    overflow-y: auto;
}
.nav-open #video-area { z-index: 800; }


@media screen and (max-width: 767px) {
    #g-nav a { font-size: var(--txt-size); }
    #g-nav #btn-close { top: 14px; right: 14px; }
    #g-nav #btn-close img { width: 40px; }

    .g-nav-main { padding-left: 0; padding-bottom: 0; }
    .g-nav-main .f-menu li { margin-bottom: 0; }
    .g-nav-main .f-menu li.tit { margin-bottom: 16px; }
    .g-nav-main .f-menu li:not(.tit) a {
        display: block;
        width: 100%;
        font-size: 15px!important;
        letter-spacing: 0.05em;
        text-align: center;
        padding: 8px 2px;
        border: 1px solid var(--color-wh);
    }
    .g-nav-main .f-menu li.tit a { font-size: 18px!important; }
    .g-nav-main .f-menu li:not(.tit) a::before { display: none; }

    .g-nav-main .item-left {
        width: 100%;
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(4, 1fr);
        grid-gap: 10px;
    }
    .g-nav-main .item-left li:nth-child(1) { grid-area: 1 / 1 / 2 / 4; }
    .g-nav-main .item-left li:nth-child(2) { grid-area: 2 / 1 / 3 / 2; }
    .g-nav-main .item-left li:nth-child(3) { grid-area: 2 / 2 / 3 / 3; }
    .g-nav-main .item-left li:nth-child(4) { grid-area: 2 / 3 / 3 / 4; }
    .g-nav-main .item-left li:nth-child(5) { grid-area: 3 / 1 / 4 / 2; }
    .g-nav-main .item-left li:nth-child(6) { grid-area: 3 / 2 / 4 / 3; }
    .g-nav-main .item-left li:nth-child(7) { grid-area: 3 / 3 / 4 / 4; }
    .g-nav-main .item-left li:nth-child(8) { grid-area: 4 / 1 / 5 / 2; }
    .g-nav-main .item-left li:nth-child(9) { grid-area: 4 / 2 / 5 / 3; }
    .g-nav-main .item-left li:nth-child(10) { grid-area: 4 / 3 / 5 / 4; }
    .g-nav-main .item-left li { margin-bottom: 0!important; }

    .g-nav-main .g-nav-flex { display: block; margin-bottom: 30px; }
    .g-nav-main .g-nav-flex .f-menu:not(:last-child) { margin-bottom: 40px; }
    .g-nav-main .menu-box .g-nav-flex > .f-menu:not(:first-child) li.tit { margin-bottom: 18px; }
    .g-nav-main .menu-box .g-nav-flex > .f-menu:nth-child(2) { margin-bottom: 0; }

    .btn-list { flex-direction: column; gap: 14px; }
    .btn-list a {  width: 100%; padding: 12px 10px; }

    .g-nav-ft .ft-btn-wrap {
        gap: 40px;
        flex-direction: column-reverse;
    }

    .g-nav-ft .f-cp-menu { display: block; width: 100%; }
    .g-nav-ft .f-cp-menu li { margin-bottom: 5px; }
    .g-nav-ft .f-cp-menu li a { font-size: 15px!important; display: inline-block; padding: 5px 10px; }
    .sns-list { gap: 24px; margin-inline: auto; }
    .sns-list a { padding: 6px; width: 40px; }
}
@media screen and (max-width: 575px) {
    #g-nav .g-nav-wrap { padding: 76px 0 120px; }
    .nav-btn-box { bottom: 16px; right: 20px; }
    .nav-btn-box .btn-wrap {
        gap: 0;
        padding: 0;
    }
    .nav-btn-box .btn-wrap .btn-item {
        font-size: 14px;
        padding: 12px 14px;
        text-wrap-mode: nowrap;
    }
    .nav-btn-box .btn-wrap .g-nav-btn::before {
        left: 0;
        right: auto;
    }
    #openbtn { width: 80px; }
    .g-nav-hd {
        margin-bottom: 32px;
        padding-bottom: 16px;
    }
    .g-nav-hd .g-nav-logo { margin-bottom: 36px; }
    .g-nav-hd .hd-btn-wrap { flex-direction: column; gap: 16px; }
    .g-nav-hd .top-item {
        width: 100%;
        text-align: center;
        padding: 5px;
        border: 1px solid #fff;
    }
    .g-nav-hd .function-item { margin-left: auto; }
    .g-nav-main .f-menu li:not(.tit) a { font-size: 14px !important; }
    .g-nav-main .item-left { grid-gap: 6px; }
}


